org.apache.lucene.analysis.standard

## Class StandardTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.standard.StandardTokenizerFactory

-     public class StandardTokenizerFactory
      extends TokenizerFactory

  Factory for `StandardTokenizer`.

       <fieldType name="text_stndrd" class="solr.TextField" positionIncrementGap="100">
         <analyzer>
           <tokenizer class="solr.StandardTokenizerFactory" maxTokenLength="255"/>
         </analyzer>
       </fieldType>

  Since:
    3.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardTokenizerFactory(Map<String,String> args)` Creates a new StandardTokenizerFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StandardTokenizer` | `create(AttributeFactory factory)` Creates a TokenStream of the specified input using the given AttributeFactory

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

      `availableTokenizers, create, forName, lookupClass, reloadTokenizers`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardTokenizerFactory

          public StandardTokenizerFactory(Map<String,String> args)

      Creates a new StandardTokenizerFactory

  - ### Method Detail

    - #### create

          public StandardTokenizer create(AttributeFactory factory)

      Description copied from class: `TokenizerFactory`
      Creates a TokenStream of the specified input using the given AttributeFactory
      Specified by:
        `create` in class `TokenizerFactory`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.